Package twisted :: Package im :: Module interfaces :: Class IConversation

[show private | hide private]
[frames | no frames]

## Class IConversation

    Interface --+
                |
               IConversation

A conversation with a specific person.

Method Summary
| ``__init__`(self, person, chatui)`
| ``changedNick`(self, person, newnick)`
| ``hide`(self)` nor this neither.
| `sendText(self, text, metadata)`
| ``show`(self)` doesn't seem like it belongs in this interface.
| `showMessage(self, text, metadata)`

Method Details

### __init__(self, person, chatui)
(Constructor)

  Parameters:
    `person`
    (type=`IPerson`)

### changedNick(self, person, newnick)

  Parameters:
    `person` - XXX Shouldn't this always be Conversation.person?

### hide(self)

nor this neither.

### show(self)

doesn't seem like it belongs in this interface.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net